package es.verdnatura.presentation.view.feature.diadeventa.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemShelvingSaleDate (
        var itemFk:Int? = null,
        var longName:String? = null,
       // var dated:String? = null,
        var amount:Int? = null,
        var visible:Int? = null,
        var stock:Int? = null,
        var isError:Boolean = false,
        var errorMessage:String = ""
                                ) {
    var dated: String = ""
    @RequiresApi(Build.VERSION_CODES.O)
    get(){
        return field.isoToString(returnOnlyDate = true)
    }

}

    class ItemShelvingSaleDateList(
        var list:List<ItemShelvingSaleDate> = listOf()
                                   )





